Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 664336 (CVE-2018-10904, CVE-2018-10907, CVE-2018-10911, CVE-2018-10913, CVE-2018-10914, CVE-2018-10923, CVE-2018-10924, CVE-2018-10926, CVE-2018-10927, CVE-2018-10928, CVE-2018-10929, CVE-2018-10930)

Summary: <sys-cluster/glusterfs-4.1.8: multiple vulnerabilities (CVE-2018-{10904,10907,10911,10913,10914,10923,10924,10926,10927,10928,10929,10930})
Product: Gentoo Security Reporter: Thomas Deutschmann <whissi>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: major CC: chewi, cluster
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard: B1 [glsa+ cve]
Package list:
Runtime testing required: ---
Bug Depends on: 670088    
Bug Blocks:    

Description Thomas Deutschmann gentoo-dev Security 2018-08-23 00:55:05 UTC
Incoming details.
Comment 1 Yury German Gentoo Infrastructure gentoo-dev 2019-03-24 12:48:58 UTC

CVE ID: CVE-2018-10904
   Summary: It was found that glusterfs server does not properly sanitize file paths in the "trusted.io-stats-dump" extended attribute which is used by the "debug/io-stats" translator. Attacker can use this flaw to create files and execute arbitrary code. To exploit this attacker would require sufficient access to modify the extended attributes of files on a gluster volume.

CVE ID: CVE-2018-10907
   Summary: It was found that glusterfs server is vulnerable to multiple stack based buffer overflows due to functions in server-rpc-fopc.c allocating fixed size buffers using 'alloca(3)'. An authenticated attacker could exploit this by mounting a gluster volume and sending a string longer that the fixed buffer size to cause crash or potential code execution.

CVE ID: CVE-2018-10911
   Summary: A flaw was found in the way dic_unserialize function of glusterfs does not handle negative key length values. An attacker could use this flaw to read memory from other locations into the stored dict value.

CVE ID: CVE-2018-10913
   Summary: An information disclosure vulnerability was discovered in glusterfs server. An attacker could issue a xattr request via glusterfs FUSE to determine the existence of any file

CVE ID: CVE-2018-10914
   Summary: It was found that an attacker could issue a xattr request via glusterfs FUSE to cause gluster brick process to crash which will result in a remote denial of service. If gluster multiplexing is enabled this will result in a crash of multiple bricks and gluster volumes

CVE ID: CVE-2018-10923
   Summary: It was found that the "mknod" call derived from mknod(2) can create files pointing to devices on a glusterfs server node. An authenticated attacker could use this to create an arbitrary device and read data from any device attached to the glusterfs server node

CVE ID: CVE-2018-10924
   Summary: It was discovered that fsync(2) system call in glusterfs client code leaks memory. An authenticated attacker could use this flaw to launch a denial of service attack by making gluster clients consume memory of the host machine.

CVE ID: CVE-2018-10926
   Summary: A flaw was found in RPC request using gfs3_mknod_req supported by glusterfs server. An authenticated attacker could use this flaw to write files to an arbitrary location via path traversal and execute arbitrary code on a glusterfs server node.

CVE ID: CVE-2018-10927
   Summary: A flaw was found in RPC request using gfs3_lookup_req in glusterfs server. An authenticated attacker could use this flaw to leak information and execute remote denial of service by crashing gluster brick process.

CVE ID: CVE-2018-10928
   Summary: A flaw was found in RPC request using gfs3_symlink_req in glusterfs server which allows symlink destinations to point to file paths outside of the gluster volume. An authenticated attacker could use this flaw to create arbitrary symlinks pointing anywhere on the server and execute arbitrary code on glusterfs server nodes.

CVE ID: CVE-2018-10929
   Summary: A flaw was found in RPC request using gfs2_create_req in glusterfs server. An authenticated attacker could use this flaw to create arbitrary files and execute arbitrary code on glusterfs server nodes.

CVE ID: CVE-2018-10930
   Summary: A flaw was found in RPC request using gfs3_rename_req in glusterfs server. An authenticated attacker could use this flaw to write to a destination outside the gluster volume
Comment 2 Yury German Gentoo Infrastructure gentoo-dev 2019-03-24 13:00:57 UTC
Maintainers please confirm if we are affected!

Information on fixes included:

CVE-2018-10904: https://review.gluster.org/#/c/glusterfs/+/21072/
CVE-2018-10907: https://review.gluster.org/#/c/glusterfs/+/21070/ 
CVE-2018-10911: https://review.gluster.org/#/c/glusterfs/+/21067/
CVE-2018-10913: https://review.gluster.org/#/c/glusterfs/+/21071/
CVE-2018-10914: Same as 21071 above
CVE-2018-10923: https://review.gluster.org/#/c/glusterfs/+/21069/
CVE-2018-10924: https://review.gluster.org/#/c/glusterfs/+/20723/
CVE-2018-10926: https://review.gluster.org/#/c/glusterfs/+/21068/
CVE-2018-10927: Same as 21068 above
CVE-2018-10928: Same as 21068 above
CVE-2018-10929: Same as 21068 above
CVE-2018-10930: Same as 21068 above
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-03-28 20:28:50 UTC
(In reply to Yury German from comment #2)
> Maintainers please confirm if we are affected!
> 
> Information on fixes included:
> 
> CVE-2018-10904: https://review.gluster.org/#/c/glusterfs/+/21072/
> CVE-2018-10907: https://review.gluster.org/#/c/glusterfs/+/21070/ 
> CVE-2018-10911: https://review.gluster.org/#/c/glusterfs/+/21067/
> CVE-2018-10913: https://review.gluster.org/#/c/glusterfs/+/21071/
> CVE-2018-10914: Same as 21071 above
> CVE-2018-10923: https://review.gluster.org/#/c/glusterfs/+/21069/
> CVE-2018-10924: https://review.gluster.org/#/c/glusterfs/+/20723/
> CVE-2018-10926: https://review.gluster.org/#/c/glusterfs/+/21068/
> CVE-2018-10927: Same as 21068 above
> CVE-2018-10928: Same as 21068 above
> CVE-2018-10929: Same as 21068 above
> CVE-2018-10930: Same as 21068 above

These are all in 4.1.8 as well.
Comment 4 Larry the Git Cow gentoo-dev 2019-03-28 20:43:39 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ad0e566365b914c27b06a36e7a26209c957511c

commit 7ad0e566365b914c27b06a36e7a26209c957511c
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2019-03-28 20:40:20 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2019-03-28 20:43:19 +0000

    sys-cluster/glusterfs: bup to fix outstanding security issues
    
    * This bump addresses multiple CVEs that have been fixed upstream
    
    Bug: https://bugs.gentoo.org/658606
    Bug: https://bugs.gentoo.org/664336
    Bug: https://bugs.gentoo.org/670088
    
    Signed-off-by: Aaron Bauman <bman@gentoo.org>

 sys-cluster/glusterfs/Manifest               |   1 +
 sys-cluster/glusterfs/glusterfs-4.1.8.ebuild | 226 +++++++++++++++++++++++++++
 2 files changed, 227 insertions(+)
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2019-04-02 04:28:16 UTC
This issue was resolved and addressed in
 GLSA 201904-06 at https://security.gentoo.org/glsa/201904-06
by GLSA coordinator Aaron Bauman (b-man).